import xarray as xr
import os


class NetCdfHandler:

    def netcdf_to_dataframe(self, filepath: str):
        dataset = xr.open_dataset(f'{filepath}.nc')
        dataframe = dataset.to_dataframe()
        return dataframe

    # returns all .nc files in the directory
    def return_files(self, directory):
        # Gets all files in directory and creates an empty list for .nc files
        file_list = os.listdir(directory)
        nc_list = []
        # Iterates through all the files and adds the relevant ones
        for file in file_list:
            if file.endswith(".nc"):
                file = os.path.splitext(file)[0]
                nc_list.append(directory + file)
        return nc_list