from pydantic import BaseModel

from typing import List, Dict, Any


class VesselRequest(BaseModel):
    fields: List[str]


class VesselResponse(BaseModel):
    result: List[List[Any]]


class ColumnList(BaseModel):
    columns: List[Dict[str, str]]
